MAKEWHATIS(8)

NAME
makewhatis - Create the whatis database

SYNOPSIS
makewhatis [-u] [-v] [-w] [-s sections ] [-c [catpath]] [manpath]

DESCRIPTION
makewhatis reads all the manual pages contained in the given sections of manpath or the preformatted pages contained in the given sections of catpath. For each page, it writes a line in the whatis database; each line consists of the name of the page and a short description, separated by a dash. The description is extracted using the content of the NAME section of the manual page.

Since other languages use a different term for the NAME section, makewhatis recognizes the equivalent terms in Czech, Italian, Finnish, French, German and Spanish.

If no manpath argument is given, /usr/man is assumed by default.

OPTIONS

-u  Update database with new pages.

-v  Verbose output

-w  Use manpath obtained from `man --path`

-s sections
    Looks in the sections of manpath or catpath. If the option is absent, the MANSECT env var will be used. If it too is absent, the MANSECT setting in man.conf will be used.

-c catpath
    The preformatted manual pages located in catpath are scanned. If the argument is not provided, it is assumed to be the first existing directory between /usr/man/preformat and /usr/man.

EXAMPLES

To rebuild only /usr/X11R6/man/whatis and /usr/local/man/whatis

    makewhatis /usr/X11R6/man /usr/local/man

To rebuild all the databases, including those of the Finnish, French and Italian translations

    LANGUAGE=fi:fr:it makewhatis -w

BUGS
makewhatis may not handle too well manual pages written with non-standard troff macros, such as the Tcl/Tk pages.

makewhatis does not work on preformatted translations.

AUTHOR
John W. Eaton was the original author of man. Zeyd M. Ben-Halim released man 1.2, and Andries Brouwer followed up with versions 1.3 thru 1.5p. Federico Lucifredi <flucifredi@acm.org> is the current maintainer.

SEE ALSO
apropos(1), man(1), whatis(1)